Bug 177733 - 4.0.2 -> 4.1 Regression: Object cannot be cast to gnu.java.security.OID
4.0.2 -> 4.1 Regression: Object cannot be cast to gnu.java.security.OID
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 11:30 EST by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version: 4.1.0-0.16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 02:38:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test case (1.27 KB, text/plain)
2006-01-13 11:30 EST, Andrew Overholt
no flags Details

  None (edit)
Description Andrew Overholt 2006-01-13 11:30:28 EST
Description of problem:
We are trying to add the ability to use XML-RPC to the Eclipse Bugzilla plugin.
 With 4.1 (FC5), there is a casting error that is not there in 4.0.2 (FC4).  I
have pasted the test case (XMLRPCTester.java) at the bottom of this report.

Version-Release number of selected component (if applicable):
4.1.0-0.14

How reproducible:
Always.

Steps to Reproduce:
1. wget http://overholt.ca/eclipse/servletapi4-4.0.4-3jpp_2rh.noarch.rpm; sudo
rpm -Uvh servletapi4-4.0.4-3jpp_2rh.noarch.rpm
2. wget http://overholt.ca/eclipse/xmlrpc-1.2-0.b1.3jpp.noarch.rpm; sudo rpm
-Uvh xmlrpc-1.2-0.b1.3jpp.noarch.rpm
3. javac -cp /usr/share/java/xmlrpc.jar XMLRPCTester.java
4. java -cp /usr/share/java/xmlrpc.jar:. XMLRPCTester

Actual results (4.1):
Connected to rpc server
java.io.IOException: java.lang.Object cannot be cast to gnu.java.security.OID
   at org.apache.xmlrpc.XmlRpcClient$Worker.execute (Unknown Source)
   at org.apache.xmlrpc.XmlRpcClient.execute (Unknown Source)
   at XMLRPCTester.run (XMLRPCTester.java:33)
   at XMLRPCTester.main (XMLRPCTester.java:20)

Expected results (4.0.2-8):
Connected to rpc server
Received server response
{component=eclipse, rep_platform=All, version=devel,
assigned_to=overholt@redhat.com, op_sys=Linux, bug_file_loc=, product=Fedora
Core, creation_ts=2005-12-12 11:53:16, status_whiteboard=, alias=,
priority=normal, groups=, assigned_to_ref={login=overholt@redhat.com,
name=Andrew Overholt, id=104687}, target_milestone=---, bug_severity=normal,
reporter_ref={login=ifoox@redhat.com, name=Igor Foox, id=178845},
delta_ts=2005-12-12 11:53:16, reporter=ifoox@redhat.com, short_desc=Second
Eclipse does not prompt for workspace when run natively, resolution=,
bug_status=NEW, bug_id=175547, qa_contact=}

XMLRPCTester.java
=================
import java.io.IOException;
import java.net.MalformedURLException;
import java.util.Vector;

import org.apache.xmlrpc.XmlRpcClient;
import org.apache.xmlrpc.XmlRpcException;

public class XMLRPCTester {
        String url = "https://bugzilla.redhat.com/bugzilla/xmlrpc.cgi";

        String uid = "bugtesting@overholt.ca";
        String pass = "sqZb2B5C5z";
        String bugid = "175547";

        public static void main(String[] args){
                XMLRPCTester tester = new XMLRPCTester();

                tester.run();

        }

        public  void run() {
                XmlRpcClient xmlrpc;
                try {
                        xmlrpc = new XmlRpcClient(url);
                        System.out.println("Connected to rpc server");
                        Vector params = new Vector();
                        params.addElement(bugid);
                        params.addElement(uid);
                        params.addElement(pass);
                        // this method returns a string
                        try {
                                Object result =
                                    xmlrpc.execute("bugzilla.getBugSimple", 
                                    params);
                                System.out.println("Received server response");
                                System.out.println(result.toString());
                        } catch (XmlRpcException e) {
                                // TODO Auto-generated catch block
                                e.printStackTrace();
                                System.out.println(e.toString());
                        } catch (IOException e) {
                                // TODO Auto-generated catch block
                                e.printStackTrace();
                        }
                } catch (MalformedURLException e) {
                        System.err.println("Could not connect to host");
                        e.printStackTrace();
                }
        }
}
Comment 1 Andrew Overholt 2006-01-13 11:30:28 EST
Created attachment 123172 [details]
test case
Comment 2 Andrew Overholt 2006-01-17 11:37:54 EST
Tom, Andrew says he's tracked this down to some sort of X509 problem.  It would
really suck if the bugzilla plugin didn't work in FC5 so can we try to track
this down together?
Comment 3 Andrew Haley 2006-01-17 12:02:50 EST
Stepping through the code, it looks to me as though there is an invalid certificate.

There is debugging output in the X509 reader.  I don't know how to turn it on!

If you can figure out what we have to do to enable logger.log (Component.X509)
we can easily compare the output when it worked.
Comment 4 Andrew Overholt 2006-01-17 13:55:26 EST
I think this might be the same as bug 174708.
Comment 5 Tom Tromey 2006-01-20 18:49:06 EST
I couldn't download the RPMs, so I couldn't check whether this is the
same as bug 174708.  I also suspect that it is.
Comment 6 Jakub Jelinek 2006-01-23 02:38:01 EST
Should be fixed in gcc-4.1.0-0.16.
Comment 7 Andrew Overholt 2006-01-23 11:31:23 EST
It is.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.